<?php 
	$default = get_option('custom_logo_dark', EBOR_THEME_DIRECTORY . 'style/images/logo-dark.png');
	$default_retina = get_option('custom_logo_dark_retina', EBOR_THEME_DIRECTORY . 'style/images/logo-dark@2x.png');
?>

<nav class="yamm navbar navbar-default default light solid" role="navigation">
	<div class="container">
	
		<div class="navbar-header">
			<div class="basic-wrapper"> 
			
				<a class="btn responsive-menu" data-toggle="collapse" data-target=".navbar-collapse"><i></i></a>
				
				<div class="navbar-brand">
					<a href="<?php echo esc_url(home_url('/')); ?>">
						<img 
							src="<?php echo esc_url($default); ?>" 
							alt="<?php echo esc_attr(get_option('custom_logo_alt_text')); ?>" 
							data-src="<?php echo esc_url($default); ?>" 
							data-ret="<?php echo esc_url($default_retina); ?>" 
							class="retina" 
						/>
					</a>
				</div>
				
			</div>
		</div>
		
		<div class="collapse navbar-collapse">
			<?php
				if ( has_nav_menu( 'primary' ) ){
					wp_nav_menu( 
						array(
						    'theme_location'    => 'primary',
						    'depth'             => 3,
						    'container'         => false,
						    'container_class'   => false,
						    'menu_class'        => 'nav navbar-nav',
						    'menu_id'           => 'menu-standard-navigation',
						    'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
						    'walker'            => new ebor_bootstrap_navwalker()
						)
					);
				} else {
					echo '<ul class="nav navbar-nav"><li><a href="'. admin_url('nav-menus.php') .'">Set up a navigation menu now</a></li></ul>';
				}
			?>
		</div>
		
	</div>
</nav>

<div class="offset"></div>