<?php
	/**
	 * This loop is used to create items for the portfolio archives and also the homepage template.
	 * Any custom functions prefaced with ebor_ are found in /ebor_framework/theme_functions.php
	 * First let's declare $post so that we can easily grab everthing needed.
	 */
	 global $post;
	 
	 /**
	  * Next, we need to grab the featured image URL of this post, so that we can trim it to the correct size for the chosen size of this post.
	  */
	 $url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full');
	 
	 $videos = get_post_meta( $post->ID, '_ebor_the_oembed', true );
	 if($videos)
	 	$url[0] = $videos;
	 
	 /**
	  * Leave this portfolio item out if we didn't find a featured image.
	  */
	 if(!( $url[0] ))
	 	return false;
	 	
	 $overlay_text = ( 'yes' == get_option('portfolio_hover', 'yes') ) ? get_option('portfolio_view_project','View Project') : get_the_title();
?>

<div class="item <?php echo ebor_the_terms('portfolio_category', ' ', 'slug'); ?>">
	
	<figure> 
		<a href="<?php echo esc_url($url[0]); ?>" class="fancybox-media" data-rel="portfolio">
			<div class="text-overlay">
				<div class="info"><span><?php echo $overlay_text; ?></span></div>
			</div>
			<?php the_post_thumbnail('grid'); ?>
		</a>
	</figure>
	
	<div class="box">
		<?php the_title('<h4 class="post-title"><a href="'. get_permalink() .'">', '</a></h4>'); ?>
		<span class="meta category"><?php echo ebor_the_terms('portfolio_category', ', ', 'link'); ?></span> 
	</div>

</div>